OpenShot Audio Library | OpenShotAudio: juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType > Struct Template Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType > Struct Template Referenceabstract
Inheritance diagram for juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >:

## Public Member Functions
| OversamplingStage (size_t numChans, size_t newFactor)
virtual SampleType | getLatencyInSamples ()=0
virtual void | initProcessing (size_t maximumNumberOfSamplesBeforeOversampling)
virtual void | reset ()
AudioBlock< SampleType > | getProcessedSamples (size_t numSamples)
virtual void | processSamplesUp (const AudioBlock< const SampleType > &)=0
virtual void | processSamplesDown (AudioBlock< SampleType > &)=0

## Public Attributes
AudioBuffer< SampleType > | buffer
size_t | numChannels
size_t | factor

## Detailed Description

template<typename SampleType>
template<typename SampleType>
struct juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >

Abstract class for the provided oversampling stages used internally in the Oversampling class.

Definition at line 36 of file juce_Oversampling.cpp.

## Constructor & Destructor Documentation

## ◆ OversamplingStage()

template<typename SampleType >
template<typename SampleType >

juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >::OversamplingStage | ( | size_t | numChans,
|  | size_t | newFactor
| ) |  |
| inline

Definition at line 38 of file juce_Oversampling.cpp.

## ◆ ~OversamplingStage()

template<typename SampleType >
template<typename SampleType >

virtual juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >::~OversamplingStage | ( |  | ) |
| inlinevirtual

Definition at line 39 of file juce_Oversampling.cpp.

## Member Function Documentation

## ◆ getProcessedSamples()

template<typename SampleType >
template<typename SampleType >

AudioBlock< SampleType > juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >::getProcessedSamples | ( | size_t | numSamples | ) |
| inline

Definition at line 56 of file juce_Oversampling.cpp.

## ◆ initProcessing()

template<typename SampleType >
template<typename SampleType >

virtual void juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >::initProcessing | ( | size_t | maximumNumberOfSamplesBeforeOversampling | ) |
| inlinevirtual

Definition at line 44 of file juce_Oversampling.cpp.

## ◆ reset()

template<typename SampleType >
template<typename SampleType >

virtual void juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >::reset | ( |  | ) |
| inlinevirtual

Definition at line 51 of file juce_Oversampling.cpp.

## Member Data Documentation

## ◆ buffer

template<typename SampleType >
template<typename SampleType >

AudioBuffer<SampleType> juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >::buffer

Definition at line 64 of file juce_Oversampling.cpp.

## ◆ factor

template<typename SampleType >
template<typename SampleType >

size_t juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >::factor

Definition at line 65 of file juce_Oversampling.cpp.

## ◆ numChannels

template<typename SampleType >
template<typename SampleType >

size_t juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >::numChannels

Definition at line 65 of file juce_Oversampling.cpp.

The documentation for this struct was generated from the following file:

- juce_Oversampling.cpp